Get authenticated using your application credentials

Firstly, you should get your application credentials (application-id, application-secret) from the Routee Platform and on the applications menu.

Then you should encode the application-id:application-secret string to a Base64 string.

Having this string you are now able to exchange your application credentials for an access token by calling the endpoint.

The Authorization header of the request must include the word Basic followed by the encoded string.

Important! All tokens that are issued from Routee's authorization server are valid for 1 hour.
That means that once you get an HTTP response with a status code of 401 or 403, from any Routee API resource, you should issue a new token and repeat your request with the new token.

Each application is associated with an Account that belongs to the user. Any requests that are made using an access token from an application are the same as if they were made by the associated account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

RESPONSE PARAMETERS

KEYDESCRIPTION
access_tokenThe generated access_token. This must be used in all requests.
token_typeToken_type ("Bearer") is a parameter in Access Token generate call to Authorization server.
expires_inTime in seconds that the token will expire. The token is set by default to expire in 1 hour (3600 seconds), or a new application can be created with the following options:
1 day (86400),
20 years (631139040)
scopeThe requested scopes.
permissionsThe permissions granted to the authenticated application.

ERROR CODES

For possible error responses see here

Body Params
string
required
Defaults to client_credentials

This value is always: client_credentials

string

The body can also contain a scope parameter in order to limit the permissions of the access token. For example if an application only sends SMS it can request only the SMS scope. By default if the scope parameter is omitted then the token receives all the allowed scopes of the application. POSSIBLE VALUES (separated by space): contact account report sms voice lookup number_validator 2step viber sender_info virtual_number number_pool

Headers
string
Defaults to Basic {base64Token}
string
Defaults to application/x-www-form-urlencoded
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json